WPSCell::Compare::Point Struct Reference

small structure to define a cell point More...

`#include <WPSCell.h>`

## Public Member Functions

| Point (int wh, WPSCell const *cell)
float | getPos (int coord) const
float | getSize (int coord) const

## Public Attributes

int | m_which
WPSCell const * | m_cell

## Detailed Description

small structure to define a cell point

## Constructor & Destructor Documentation

WPSCell::Compare::Point::Point | ( | int | wh,
|  | WPSCell const * | cell
| ) |  |

inline

## Member Function Documentation

float WPSCell::Compare::Point::getPos | ( | int | coord | ) | const

inline

Referenced by WPSCell::Compare::operator()().

float WPSCell::Compare::Point::getSize | ( | int | coord | ) | const

inline

## Member Data Documentation

WPSCell const* WPSCell::Compare::Point::m_cell

Referenced by getPos(), getSize(), and WPSCell::Compare::operator()().

int WPSCell::Compare::Point::m_which

Referenced by getPos(), and WPSCell::Compare::operator()().

The documentation for this struct was generated from the following file:

- WPSCell.h